| Version: 3.3.1

Protected Member Functions | List of all members
wxDateTimeWorkDays Class Reference
Class List by Category » Data Structures

`#include <wx/datetime.h>`

Inheritance diagram for wxDateTimeWorkDays:
[legend]

## Detailed Description

Holiday authority that classifies all Saturdays and Sundays as holidays.

##

Library: wxBase
Category: Data Structures

## Protected Member Functions
virtual bool | DoIsHoliday (const wxDateTime &dt) const override
| Override which returns true if provided date is a Saturday and Sunday. More...
virtual size_t | DoGetHolidaysInRange (const wxDateTime &dtStart, const wxDateTime &dtEnd, wxDateTimeArray &holidays) const override
| Override which returns all Saturdays and Sundays from a provided range. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxDateTimeHolidayAuthority
static bool | IsHoliday (const wxDateTime &dt)
| Returns true if the given date is a holiday. More...
static size_t | GetHolidaysInRange (const wxDateTime &dtStart, const wxDateTime &dtEnd, wxDateTimeArray &holidays)
| Fills the provided array with all holidays in the given range, returns the number of them. More...
static void | ClearAllAuthorities ()
| Clears the list of holiday authorities. More...
static void | AddAuthority (wxDateTimeHolidayAuthority *auth)
| Adds a new holiday authority. More...

## Member Function Documentation

## ◆ DoGetHolidaysInRange()

virtual size_t wxDateTimeWorkDays::DoGetHolidaysInRange | ( | const wxDateTime & | dtStart,
|  | const wxDateTime & | dtEnd,
|  | wxDateTimeArray & | holidays
| ) |  | const
| override protected virtual

Override which returns all Saturdays and Sundays from a provided range.

Implements wxDateTimeHolidayAuthority.

## ◆ DoIsHoliday()

virtual bool wxDateTimeWorkDays::DoIsHoliday | ( | const wxDateTime & | dt | ) | const
| override protected virtual

Override which returns true if provided date is a Saturday and Sunday.

Implements wxDateTimeHolidayAuthority.